
Figure - Bug #116451
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】部分应用图标周围显示有白边
2023-02-22 15:35 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date: 2023-03-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Reproducibility: Every time Fixed Version: 2023-03-03

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

2、本地有视频

【测试步骤】

1、下载一些三方应用

2、查看图表显示

【预期结果】

2、应用图标大小显示一致，无白边

【实际结果】

2、部分应用图标周围显示有白边

History

#1 - 2023-02-24 10:41 - CD APP-王营

- Due date set to 2023-03-17

#2 - 2023-02-28 14:38 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#3 - 2023-03-01 17:46 - CD APP-王宏

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

- % Done changed from 0 to 10

■ Current conclusion

分析中

■ My analysis

此处本应是第三方APP自己去做适配操作，但是他们没做，收集资料如下

https://zhuanlan.zhihu.com/p/394394678

https://blog.csdn.net/qq23001186/article/details/122658475

■ Next action
根据两篇博客做对应修改

#4 - 2023-03-02 14:56 - CD APP-王宏

- % Done changed from 10 to 50

■ Current conclusion

已提交

■ My analysis

根据需求方要求，对于不是正方形的启动图标做拉伸平铺的处理

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/libs/systemui/+/185359

#5 - 2023-03-02 18:58 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185359 general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:AdaptiveIcon:Repair the white edge of the startup iconTC-RID: 1201-0206701IssueID: TS-R-BUG-116451Change-Id:

Ia51f69623a2a2d7d38aeb9619e269936220a7a08

#6 - 2023-03-02 19:00 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-03

- Root cause set to AOSP问题

#7 - 2023-03-03 18:19 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

3.3

验证通过

#8 - 2023-03-03 18:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#10 - 2023-09-23 21:44 - IoT scm

Gerrit Merge Information：
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/libs/systemui/+/185359


ID Project Branch Uploader

315370 general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:AdaptiveIcon: icon corner adaptationAdapte VX 、VCTC-RID: 1201-0206701IssueID: TS-R-BUG-116451Change-Id:

I8eeeacfbd0ff9f06c14a24ab8ab5e99028aff4aa

#11 - 2023-09-24 12:50 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

315499 general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:AdaptiveIcon: icon corner adaptationAdapte VX 、VCTC-RID: 1201-0206701IssueID: TS-R-BUG-116451Change-Id:

I8eeeacfbd0ff9f06c14a24ab8ab5e99028aff4aa(cherry picked from commit 0f6581ba36e6cd564bc3b988a4869bf223e2f798)

Files

1531.jpg 206 KB 2023-02-22 CD TEST-方永红
